# Class SecurityClassLoad

java.lang.Object
org.apache.catalina.security.SecurityClassLoad

public final class SecurityClassLoad extends Object
Static class used to preload java classes when using the Java SecurityManager so that the defineClassInPackage RuntimePermission does not trigger an AccessControlException.

## Constructor Summary

Constructors
Constructor
Description
`SecurityClassLoad()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`securityClassLoad(ClassLoader loader)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecurityClassLoad

public SecurityClassLoad()

## Method Details

### securityClassLoad

public static void securityClassLoad(ClassLoader loader) throws Exception

Throws:
  `Exception`